/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

// L_PROCESS_DETAILS.cpp: implementation of the CL_PROCESS_DETAILS class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "L_PROCESS_DETAILS.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CL_PROCESS_DETAILS::CL_PROCESS_DETAILS()
{

}

CL_PROCESS_DETAILS::~CL_PROCESS_DETAILS()
{

}

CL_PROCESS_DETAILS::CL_PROCESS_DETAILS(const CL_PROCESS_DETAILS &arg_process_details)
{ 
	strcpy(m_sz_process_name, arg_process_details.m_sz_process_name);
	m_n_process_id = arg_process_details.m_n_process_id;
}

CL_PROCESS_DETAILS::CL_PROCESS_DETAILS(const void* arg_process_details)
{
	memcpy(	&m_n_process_id,
			arg_process_details,
			sizeof(m_n_process_id));

	const char *p = (const char*)arg_process_details;

	strcpy( m_sz_process_name,
			(const char*)&p[sizeof(m_n_process_id)]);
}
