/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

// L_COPY_PASTE.cpp : implementation file
//

#include "stdafx.h"
#include "ReCClient.h"
#include "L_COPY_PASTE.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CL_COPY_PASTE dialog


CL_COPY_PASTE::CL_COPY_PASTE(int n_type, CWnd* pParent /*=NULL*/)
	: CDialog(CL_COPY_PASTE::IDD, pParent)
{
	//{{AFX_DATA_INIT(CL_COPY_PASTE)
	m_path = _T("");
	m_text = _T("");
	//}}AFX_DATA_INIT
	m_n_type = n_type;
}


void CL_COPY_PASTE::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CL_COPY_PASTE)
	DDX_Text(pDX, IDC_ED_PATH, m_path);
	DDX_Text(pDX, IDC_ED_TEXT, m_text);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CL_COPY_PASTE, CDialog)
	//{{AFX_MSG_MAP(CL_COPY_PASTE)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CL_COPY_PASTE message handlers

BOOL CL_COPY_PASTE::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	if (m_n_type == COPY)
	{
		SetWindowText("Remote Control: Copy From");
		m_text = "Please enter path of file to copy.";
	}
	else if(m_n_type == PASTE)
	{
		SetWindowText("Remote Control: Paste To");
		m_text = "Please enter path, where to paste the file.";
	}

	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
