/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

// RemoteManager.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "RemoteManager.h"
#include "RemoteManagerDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRemoteManagerApp

BEGIN_MESSAGE_MAP(CRemoteManagerApp, CWinApp)
	//{{AFX_MSG_MAP(CRemoteManagerApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRemoteManagerApp construction

CRemoteManagerApp::CRemoteManagerApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CRemoteManagerApp object

CRemoteManagerApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CRemoteManagerApp initialization

BOOL CRemoteManagerApp::InitInstance()
{
	if (!AfxSocketInit())
	{
		AfxMessageBox(IDP_SOCKETS_INIT_FAILED);
		return FALSE;
	}

	AfxEnableControlContainer();

	// Standard initialization

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	CRemoteManagerDlg dlg;
	m_pMainWnd = &dlg;
	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
	}
	else if (nResponse == IDCANCEL)
	{
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
