/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

#ifndef _L_FILE_DETAILS_H_
#define _L_FILE_DETAILS_H_

#include <time.h>
#include "all_defines.h"

class CL_FILE_DETAILS  
{
public:
	CL_FILE_DETAILS(const CL_FILE_DETAILS& arg_process_details);
	CL_FILE_DETAILS(const void* arg_file_details);
	CL_FILE_DETAILS();
	virtual ~CL_FILE_DETAILS();


//private:
	//Data members

	int		m_is_dir;
	//File name
	char	m_sz_file_name[M_MAX_PATH];
	
	//the concatenated data
	char	m_data[M_MAX_PATH + SIZE_INT];

	operator void*()
	{
		memcpy( m_data, &m_is_dir, sizeof(m_is_dir));
		int n_len = strlen( m_sz_file_name);
		memcpy( &m_data[sizeof(m_is_dir)], m_sz_file_name, n_len);
		m_data[sizeof(m_is_dir) + n_len] = '\0';
		return m_data;
	}

	int void_len()
	{
		return (strlen(m_sz_file_name) + sizeof(m_is_dir));
	}

};

#endif
