/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

// L_GENERIC_SOCKET.h: interface for the CL_GENERIC_SOCKET class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_L_GENERIC_SOCKET_H__E1288F42_2FA4_11D4_A213_00D0B70FC974__INCLUDED_)
#define AFX_L_GENERIC_SOCKET_H__E1288F42_2FA4_11D4_A213_00D0B70FC974__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CL_GENERIC_SOCKET  
{
public:
	static int Send( SOCKET arg_sock, void* arg_data, int arg_len, int flag = 0);
	static int Receive( SOCKET arg_sock, void* arg_data, int arg_len, int arg_timeout = 0, int n_tries = 0, int flag = 0);
	
	CL_GENERIC_SOCKET();
	virtual ~CL_GENERIC_SOCKET();

};

#endif // !defined(AFX_L_GENERIC_SOCKET_H__E1288F42_2FA4_11D4_A213_00D0B70FC974__INCLUDED_)
