/*
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the Shared Code
 * License (SCL) as published by www.IntellectualHeaven.com;
 * either version 1.0, or (at your option) any later version.
 *
 * You should have received a copy of the SCL 1.0 license,
 * look for file license.txt, along with this software; if not,
 * then please write to xx_pankaj_xx@intellectualheaven.com
 * for an electronic copy of the same.
 */

/* ++
History (in reverse order)

xx_pankaj_xx@intellectualheaven.com   2003-08-18
First version created and checked in CVS
-- */

// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__7C80D925_3078_11D4_A213_00D0B70FC974__INCLUDED_)
#define AFX_MAINFRM_H__7C80D925_3078_11D4_A213_00D0B70FC974__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnCommandProcesshandlingTaskmanager();
	afx_msg void OnCommandProcesshandlingExecute();
	afx_msg void OnCommandConsoleandwindowsListactivewindows();
	afx_msg void OnCommandConsoleandwindowsMessagebox();
	afx_msg void OnCommandKeyloggingStartkeylogging();
	afx_msg void OnCommandKeyloggingStopkeylogging();
	afx_msg void OnCommandKeyloggingViewloggeddata();
	afx_msg void OnFileConnect();
	afx_msg void OnUpdateCommandProcesshandlingTaskmanager(CCmdUI* pCmdUI);
	afx_msg void OnUpdateCommandConsoleandwindowsListactivewindows(CCmdUI* pCmdUI);
	afx_msg void OnUpdateCommandConsoleandwindowsMessagebox(CCmdUI* pCmdUI);
	afx_msg void OnUpdateCommandKeyloggingStartkeylogging(CCmdUI* pCmdUI);
	afx_msg void OnUpdateCommandKeyloggingStopkeylogging(CCmdUI* pCmdUI);
	afx_msg void OnUpdateCommandKeyloggingViewloggeddata(CCmdUI* pCmdUI);
	afx_msg void OnUpdateCommandProcesshandlingExecute(CCmdUI* pCmdUI);
	afx_msg void OnCommandKeyloggingEmptylogfile();
	afx_msg void OnUpdateCommandKeyloggingEmptylogfile(CCmdUI* pCmdUI);
	afx_msg void OnCommandFilemanipulationExplorer();
	afx_msg void OnUpdateCommandFilemanipulationExplorer(CCmdUI* pCmdUI);
	afx_msg void OnCommandKeyloggingSendmail();
	afx_msg void OnUpdateCommandKeyloggingSendmail(CCmdUI* pCmdUI);
	afx_msg void OnFileLogoff();
	afx_msg void OnUpdateFileLogoff(CCmdUI* pCmdUI);
	afx_msg void OnFileShutdown();
	afx_msg void OnUpdateFileShutdown(CCmdUI* pCmdUI);
	afx_msg void OnFileDisconnect();
	afx_msg void OnUpdateFileDisconnect(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileConnect(CCmdUI* pCmdUI);
	afx_msg void OnCommandProcesshandlingServicemanager();
	afx_msg void OnUpdateCommandProcesshandlingServicemanager(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CBitmap m_bit_map;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__7C80D925_3078_11D4_A213_00D0B70FC974__INCLUDED_)
